This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 701552 - Group sync hangs Windows initial Sync
Group sync hangs Windows initial Sync
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.1
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Rich Megginson
:
Depends On: 698368
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-03 04:27 EDT by RHEL Product and Program Management
Modified: 2011-09-16 17:33 EDT (History)
11 users (show)

See Also:
Fixed In Version: ds-replication-1.2.8.3-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-05-03 04:27:02 EDT
This bug has been copied from bug #698368 and has been proposed
to be backported to 6.1 z-stream (EUS).
Comment 5 Amita Sharma 2011-05-04 02:33:19 EDT
Steps followed to test :

1. One group was already at DS and AD, rhgroup1.
2. Added new group at DS by ldap add :

ldapadd -D "cn=Directory Manager" -w Secret123 -h localhost -p 389 << EOF
dn: cn=rhgroup2,ou=groups,ou=unix,dc=corp,dc=example,dc=com
objectClass: top
objectClass: groupofuniquenames
objectClass: ntGroup
ntGroupDeleteGroup: true
cn: rhgroup2
ntUserDomainId: rhgroup2
ntGroupType: -2147483646
ntUniqueId: 2

3. Initiated full re-sync from DS console.

4. Got the operation error.

5. vim /var/log/dirsrv/slapd-xyz/errors
[04/May/2011:11:07:05 +051800] NSMMReplicationPlugin - Beginning total update of replica "agmt="cn=winsync" (ad1:389)".
[04/May/2011:11:07:05 +051800] NSMMReplicationPlugin - Finished total update of replica "agmt="cn=winsync" (ad1:389)". Sent 5 entries.
[04/May/2011:11:08:18 +051800] NSMMReplicationPlugin - Beginning total update of replica "agmt="cn=winsync" (ad1:389)".
[04/May/2011:11:08:18 +051800] NSMMReplicationPlugin - Finished total update of replica "agmt="cn=winsync" (ad1:389)". Sent 5 entries.
[04/May/2011:11:13:42 +051800] NSMMReplicationPlugin - process_replay_rename: newparent is empty
[04/May/2011:11:14:15 +051800] NSMMReplicationPlugin - Could not retrieve entry from Windows using search base [<GUID=e0fe9fb89cc40b4899694db94b6e59c9>] scope [0] filter [(objectclass=*)]: error 32:No such object
[04/May/2011:11:14:15 +051800] NSMMReplicationPlugin - Could not retrieve entry from Windows using search base [<GUID=e0fe9fb89cc40b4899694db94b6e59c9>] scope [0] filter [(objectclass=*)]: error 32:No such object
[04/May/2011:11:15:46 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (ad1:389): Replication bind with SIMPLE auth resumed
[04/May/2011:11:15:46 +051800] NSMMReplicationPlugin - Could not retrieve entry from Windows using search base [cn=rhgroup3,ou=groups,ou=unix,dc=corp,dc=example,dc=com] scope [0] filter [(objectclass=*)]: error 32:No such object
[04/May/2011:11:20:33 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (ad1:389): Replication bind with SIMPLE auth resumed
[04/May/2011:11:20:33 +051800] NSMMReplicationPlugin - Could not retrieve entry from Windows using search base [cn=rhgroup3,cn=rhgroup3,ou=groups,ou=unix,dc=corp,dc=example,dc=com] scope [0] filter [(objectclass=*)]: error 32:No such object
[04/May/2011:11:20:56 +051800] NSMMReplicationPlugin - Could not retrieve entry from Windows using search base [<GUID=2>] scope [0] filter [(objectclass=*)]: error 34:Invalid DN syntax
[04/May/2011:11:20:56 +051800] NSMMReplicationPlugin - Could not retrieve entry from Windows using search base [cn=rhgroup2,ou=groups,ou=unix,dc=corp,dc=example,dc=com] scope [0] filter [(objectclass=*)]: error 32:No such object
[04/May/2011:11:22:43 +051800] NSMMReplicationPlugin - agmt="cn=winsync" (ad1:389): Replication bind with SIMPLE auth resumed
[04/May/2011:11:22:43 +051800] NSMMReplicationPlugin - Beginning total update of replica "agmt="cn=winsync" (ad1:389)".

6. Also the new group got replicated to AD.

7. If I am creating new Group at AD, it is getting replicated to DS without any error.
Comment 6 Amita Sharma 2011-05-04 07:05:24 EDT
Upgraded the build from brew and tested.
Now working fine, marking as VERIFIED.
Comment 10 errata-xmlrpc 2011-05-19 10:41:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0820.html
Comment 11 Chandrasekar Kannan 2011-09-16 17:33:05 EDT
ds-replication is no longer a component of rhel. folding back to 389-ds-base.

Note You need to log in before you can comment on or make changes to this bug.